From 928c5622df72ef357623fd9510e5c83799170b6f Mon Sep 17 00:00:00 2001
From: Christoph Keller <keller@conntac.net>
Date: Wed, 7 Apr 2021 14:39:13 +0200
Subject: [PATCH 230/262] Only embed launch screen when building an app
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Xcode's new build system checks duplicated entries when building. Qmake wants to embed
the launch screen for all types of configurations (static libraries etc.) which makes Xcode bail
out with "Multiple commands produce LaunchScreen.storyboard".

Task-number: QTBUG-71035
Change-Id: I5c028e687f16e046b12156c1a8a89540deba4d3b
Reviewed-by: Tor Arne Vestbø <tor.arne.vestbo@qt.io>
(cherry picked from commit 9c24ad3b94cb8c67468e947f02dd1f9aaf246085)


(cherry picked from commit e3d8eddb3af572a66a59f6994ce8e98b72e487ff)
---
 mkspecs/features/uikit/default_post.prf | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/mkspecs/features/uikit/default_post.prf b/mkspecs/features/uikit/default_post.prf
index 088b39ff3f..46f21ac092 100644
--- a/mkspecs/features/uikit/default_post.prf
+++ b/mkspecs/features/uikit/default_post.prf
@@ -28,7 +28,7 @@ macx-xcode {
     device_family.value = $$QMAKE_APPLE_TARGETED_DEVICE_FAMILY
     QMAKE_MAC_XCODE_SETTINGS += device_family
 
-    ios {
+    equals(TEMPLATE, app):ios {
         # Set up default 4-inch iPhone/iPod launch image so that our apps
         # support the full screen resolution of those devices.
         qmake_launch_image = Default-568h@2x.png
-- 
2.33.0

